%define upstream_name Horde_Log
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.1.2
Release:     	%mkrel 1
Summary:    	Horde Logging library
License:    	BSD
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:    	php-pear-Horde_Constraint <= 2.0.0
Requires:    	php-pear-Horde_Exception <= 2.0.0
Conflicts:   	php-pear-Horde_Constraint = 2.0.0
Conflicts:   	php-pear-Horde_Exception = 2.0.0
Requires:     	php-pear-channel-horde
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Log = %{version}

%description
Horde Logging package with configurable handlers, filters, and formatting.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Log.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Log.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Log
fi

%files
%defattr(-,root,root)
%{peardir}/Horde/Log.php
%{peardir}/Horde/Log/Exception.php
%{peardir}/Horde/Log/Filter.php
%{peardir}/Horde/Log/Filter/Constraint.php
%{peardir}/Horde/Log/Filter/ExactLevel.php
%{peardir}/Horde/Log/Filter/Level.php
%{peardir}/Horde/Log/Filter/Message.php
%{peardir}/Horde/Log/Filter/Suppress.php
%{peardir}/Horde/Log/Formatter.php
%{peardir}/Horde/Log/Formatter/Simple.php
%{peardir}/Horde/Log/Formatter/Xml.php
%{peardir}/Horde/Log/Handler/Base.php
%{peardir}/Horde/Log/Handler/Firebug.php
%{peardir}/Horde/Log/Handler/Mock.php
%{peardir}/Horde/Log/Handler/Null.php
%{peardir}/Horde/Log/Handler/Scribe.php
%{peardir}/Horde/Log/Handler/Stream.php
%{peardir}/Horde/Log/Handler/Syslog.php
%{peardir}/Horde/Log/Logger.php
%{peardir}/tests/Horde_Log/Horde/Log/AllTests.php
%{peardir}/tests/Horde_Log/Horde/Log/Filter/ChainingTest.php
%{peardir}/tests/Horde_Log/Horde/Log/Filter/ConstraintTest.php
%{peardir}/tests/Horde_Log/Horde/Log/Filter/ExactLevelTest.php
%{peardir}/tests/Horde_Log/Horde/Log/Filter/LevelTest.php
%{peardir}/tests/Horde_Log/Horde/Log/Filter/MessageTest.php
%{peardir}/tests/Horde_Log/Horde/Log/Filter/SuppressTest.php
%{peardir}/tests/Horde_Log/Horde/Log/Formatter/SimpleTest.php
%{peardir}/tests/Horde_Log/Horde/Log/Formatter/XmlTest.php
%{peardir}/tests/Horde_Log/Horde/Log/Handler/FirebugTest.php
%{peardir}/tests/Horde_Log/Horde/Log/Handler/NullTest.php
%{peardir}/tests/Horde_Log/Horde/Log/Handler/StreamTest.php
%{peardir}/tests/Horde_Log/Horde/Log/LogTest.php
%{xmldir}/Horde_Log.xml


%changelog

* Sun Nov 06 2011 spuhler <spuhler> 1.1.2-1.mga2
+ Revision: 164550
- upgrade to 1.1.2
- changed Provides: php-pear-Horde_Log to php-pear-Horde_Log = %%{version)
- imported package php-pear-Horde_Log

